using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace takmicenjePerica
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string unos = Console.ReadLine();
            int n = int.Parse(unos.Split()[0]);
            int l = int.Parse(unos.Split()[1]);
            string[] visina = Console.ReadLine().Split();
            for (int i = 0; i < n; i++) 
            {
                if (int.Parse(visina[i]) <= l) { Console.WriteLine((i + 1)); break; }
                else if (i == n - 1 && int.Parse(visina[i]) > l) { Console.WriteLine("-1"); }
            }
            
            //Console.WriteLine(visina[i]);
            //Console.ReadLine();
        }
    }
}